NX Open C++ Reference Guide
|
Represents a datum axis feature builder. More...
Public Member Functions | |
NXOpen::Features::DatumAxisBuilder::AlternateSolution | AlternateSolutionType () |
Returns the alternate solution type. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | ArcLength () |
Returns the arc length. | |
NXOpen::SelectICurve * | Curve () |
Returns the curve or edge. | |
NXOpen::SelectNXObject * | CurveOrFace () |
Returns the curve or face . | |
NXOpen::Features::DatumAxisBuilder::CurveOrientations | CurveOrientation () |
Returns the orientation of vector on a curve. | |
NXOpen::Features::DatumAxisBuilder::DirectionOrientations | DirectionOrientation () |
Returns the direction orientation. | |
void | EvaluatePath (NXOpen::Section *section) |
Evaluate the path. | |
bool | IsAssociative () |
Returns the associativity. | |
bool | IsAxisReversed () |
Returns the datum axis direction. | |
NXOpen::SelectNXObject * | Object1 () |
Returns the first object (i.e. | |
NXOpen::SelectNXObject * | Object2 () |
Returns the second object (i.e. | |
NXOpen::SelectNXObjectList * | Objects () |
Returns the objects to define Datum Axis. | |
NXOpen::SelectNXObject * | OrientationObject () |
Returns the orientation object. | |
NXOpen::Point * | Point () |
Returns the point. | |
NXOpen::Point * | Point1 () |
Returns the first point. | |
NXOpen::Point * | Point2 () |
Returns the second point. | |
double | ResizedEndDistance () |
Returns the resized distance for the end point. | |
bool | ReverseDirection () |
Returns Created in NX4.0.0. | |
NXOpen::Section * | Section () |
Returns the section. | |
void | SetAlternateSolutionType (NXOpen::Features::DatumAxisBuilder::AlternateSolution alternateSolutionType) |
Sets the alternate solution type. | |
void | SetAssociative (bool isAssociative) |
Sets the associativity. | |
void | SetAxisReversed (bool isAxisReversed) |
Sets the datum axis direction. | |
void | SetCurveOrientation (NXOpen::Features::DatumAxisBuilder::CurveOrientations curveOrientation) |
Sets the orientation of vector on a curve. | |
void | SetDirectionOrientation (NXOpen::Features::DatumAxisBuilder::DirectionOrientations directionOrientation) |
Sets the direction orientation. | |
void | SetFixedDatumAxis (NXOpen::Features::DatumAxisBuilder::FixedType type) |
Sets type of fixed datum axis Created in NX3.0.0. | |
void | SetGeometryAndConstraints (NXOpen::DisplayableObject *geometry1, NXOpen::Features::DatumAxisBuilder::ConstraintType geometryConstraintType1, int constraintAttribute1, double constraintValue1, const NXString &constraint1, NXOpen::DisplayableObject *geometry2, NXOpen::Features::DatumAxisBuilder::ConstraintType geometryConstraintType2, int constraintAttribute2, double constraintValue2, const NXString &constraint2, NXOpen::Sense direction) |
Sets two different geometric objects. | |
void | SetGeometryAndConstraints (NXOpen::DisplayableObject *geometry1, NXOpen::Features::DatumAxisBuilder::ConstraintType geometryConstraintType1, int constraintAttribute1, double constraintValue1, const char *constraint1, NXOpen::DisplayableObject *geometry2, NXOpen::Features::DatumAxisBuilder::ConstraintType geometryConstraintType2, int constraintAttribute2, double constraintValue2, const char *constraint2, NXOpen::Sense direction) |
Sets two different geometric objects. | |
void | SetPoint (NXOpen::Point *point) |
Sets the point. | |
void | SetPoint1 (NXOpen::Point *point1) |
Sets the first point. | |
void | SetPoint2 (NXOpen::Point *point2) |
Sets the second point. | |
void | SetPointAndDirection (NXOpen::Point *point, NXOpen::Direction *direction) |
Created in NX3.0.0. | |
void | SetPointOnCurve (double arcLength, const NXString &constraint, NXOpen::Features::DatumAxisBuilder::AlternateSolution alternateSolution, NXOpen::Features::DatumAxisBuilder::CurveOption option, NXOpen::ICurve *curve) |
Sets curve or edge and arc length Created in NX3.0.0. | |
void | SetPointOnCurve (double arcLength, const char *constraint, NXOpen::Features::DatumAxisBuilder::AlternateSolution alternateSolution, NXOpen::Features::DatumAxisBuilder::CurveOption option, NXOpen::ICurve *curve) |
Sets curve or edge and arc length Created in NX3.0.0. | |
void | SetPointOnCurve (double arcLength, const NXString &constraint, NXOpen::Features::DatumAxisBuilder::CurveOption option, NXOpen::ICurve *curve, NXOpen::DisplayableObject *secondGeometry) |
Sets Curve or Edge object and arc length with an extra geometry in picture Created in NX3.0.0. | |
void | SetPointOnCurve (double arcLength, const char *constraint, NXOpen::Features::DatumAxisBuilder::CurveOption option, NXOpen::ICurve *curve, NXOpen::DisplayableObject *secondGeometry) |
Sets Curve or Edge object and arc length with an extra geometry in picture Created in NX3.0.0. | |
void | SetPointOnCurve (double arcLength, const NXString &constraint, NXOpen::Features::DatumAxisBuilder::CurveOption option, NXOpen::DisplayableObject *secondGeometry, NXOpen::ICurve *curve) |
Sets Curve or Edge object and arc length with an extra geometry in picture Created in NX3.0.0. | |
void | SetPointOnCurve (double arcLength, const char *constraint, NXOpen::Features::DatumAxisBuilder::CurveOption option, NXOpen::DisplayableObject *secondGeometry, NXOpen::ICurve *curve) |
Sets Curve or Edge object and arc length with an extra geometry in picture Created in NX3.0.0. | |
void | SetResizedEndDistance (double resizedEndDistance) |
Sets the resized distance for the end point. | |
void | SetReverseDirection (bool reverseDirection) |
Sets Created in NX4.0.0. | |
void | SetTwoPoints (NXOpen::Point *point1, NXOpen::Point *point2, NXOpen::Features::DatumAxisBuilder::UseArcLength useArcLength) |
Sets two points Created in NX3.0.0. | |
void | SetType (NXOpen::Features::DatumAxisBuilder::Types type) |
Sets the Datum Axis type Created in NX5.0.0. | |
void | SetVector (NXOpen::Direction *vector) |
Sets the vector. | |
NXOpen::Features::DatumAxisBuilder::Types | Type () |
Returns the Datum Axis type Created in NX5.0.0. | |
NXOpen::Direction * | Vector () |
Returns the vector. | |
![]() | |
NXOpen::DatumConstraint * | CreateConstraint () |
Creates a new empty constraint object. | |
std::vector < NXOpen::DatumConstraint * > | GetConstraints () |
Gets the contraint objects that define the positioning of this datum. | |
void | SetConstraints (const std::vector< NXOpen::DatumConstraint * > &constraints) |
Sets the contraint objects that define the positioning of this datum. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a datum axis feature builder.
Provides methods to create datum axis thru two points, point and direction and point on curve. Also provides generic method for creation of datum axis feature
To create a new instance of this class, use Features::FeatureCollection::CreateDatumAxisBuilder
Created in NX3.0.0.
Specifies the alternate solution for datum axis using point on curve method only.
Specifies different constraint types for selected geometries.
ConstraintTypeUndefined |
Not defined. |
ConstraintTypeCoincident |
Coincident constraint. |
ConstraintTypeParallel |
Parallel constraint. |
ConstraintTypePerpendicular |
Perpendicular constraint. |
ConstraintTypeCenter |
Center constraint. |
ConstraintTypeTangent |
Tangent constraint. |
ConstraintTypeDistance |
Distance constraint. |
ConstraintTypeAngle |
Angle constraint. |
ConstraintTypeFrenet |
Frenet constraint. |
Available orientations that the user can choose when the Datum Axis type is On Curve Vector.
New Datum Axis types in NX5.
Specifies points for which arclength is to be used.
Percentage of arclength is used for points for which arclength option is not selected. Specified for creation of datum axis using thru two points method.
NXOpen::Features::DatumAxisBuilder::AlternateSolution NXOpen::Features::DatumAxisBuilder::AlternateSolutionType | ( | ) |
Returns the alternate solution type.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::DatumAxisBuilder::ArcLength | ( | ) |
Returns the arc length.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector
Created in NX5.0.0.
License requirements : None
NXOpen::SelectICurve* NXOpen::Features::DatumAxisBuilder::Curve | ( | ) |
Returns the curve or edge.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector
Created in NX5.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::DatumAxisBuilder::CurveOrFace | ( | ) |
Returns the curve or face .
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesCurveOrFaceAxis
Created in NX5.0.0.
License requirements : None
NXOpen::Features::DatumAxisBuilder::CurveOrientations NXOpen::Features::DatumAxisBuilder::CurveOrientation | ( | ) |
Returns the orientation of vector on a curve.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector
Created in NX5.0.0.
License requirements : None
NXOpen::Features::DatumAxisBuilder::DirectionOrientations NXOpen::Features::DatumAxisBuilder::DirectionOrientation | ( | ) |
Returns the direction orientation.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesPointAndDir
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::DatumAxisBuilder::EvaluatePath | ( | NXOpen::Section * | section | ) |
Evaluate the path.
If there is no path, create it, otherwise evaluate it. This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
section | section |
bool NXOpen::Features::DatumAxisBuilder::IsAssociative | ( | ) |
Returns the associativity.
If true, the Datum Axis is associative
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::DatumAxisBuilder::IsAxisReversed | ( | ) |
Returns the datum axis direction.
If true, the Datum Axis direction is reversed
Created in NX5.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::DatumAxisBuilder::Object1 | ( | ) |
Returns the first object (i.e.
a planar face or datum plane). This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesIntersection
Created in NX5.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::DatumAxisBuilder::Object2 | ( | ) |
Returns the second object (i.e.
a planar face or datum plane). This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesIntersection
Created in NX5.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Features::DatumAxisBuilder::Objects | ( | ) |
Returns the objects to define Datum Axis.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesInferred
Created in NX5.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::DatumAxisBuilder::OrientationObject | ( | ) |
Returns the orientation object.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::DatumAxisBuilder::Point | ( | ) |
Returns the point.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesPointAndDir
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::DatumAxisBuilder::Point1 | ( | ) |
Returns the first point.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesTwoPoints
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::DatumAxisBuilder::Point2 | ( | ) |
Returns the second point.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesTwoPoints
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::DatumAxisBuilder::ResizedEndDistance | ( | ) |
Returns the resized distance for the end point.
If the value is 0.0, then this datum axis is not resized at end point
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::DatumAxisBuilder::ReverseDirection | ( | ) |
Returns
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Section* NXOpen::Features::DatumAxisBuilder::Section | ( | ) |
Returns the section.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::DatumAxisBuilder::SetAlternateSolutionType | ( | NXOpen::Features::DatumAxisBuilder::AlternateSolution | alternateSolutionType | ) |
Sets the alternate solution type.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
alternateSolutionType | alternate solution type |
void NXOpen::Features::DatumAxisBuilder::SetAssociative | ( | bool | isAssociative | ) |
Sets the associativity.
If true, the Datum Axis is associative
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isAssociative | isassociative |
void NXOpen::Features::DatumAxisBuilder::SetAxisReversed | ( | bool | isAxisReversed | ) |
Sets the datum axis direction.
If true, the Datum Axis direction is reversed
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isAxisReversed | isaxisreversed |
void NXOpen::Features::DatumAxisBuilder::SetCurveOrientation | ( | NXOpen::Features::DatumAxisBuilder::CurveOrientations | curveOrientation | ) |
Sets the orientation of vector on a curve.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesOnCurveVector
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
curveOrientation | curveorientation |
void NXOpen::Features::DatumAxisBuilder::SetDirectionOrientation | ( | NXOpen::Features::DatumAxisBuilder::DirectionOrientations | directionOrientation | ) |
Sets the direction orientation.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesPointAndDir
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
directionOrientation | directionorientation |
void NXOpen::Features::DatumAxisBuilder::SetFixedDatumAxis | ( | NXOpen::Features::DatumAxisBuilder::FixedType | type | ) |
Sets type of fixed datum axis
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
type | Indicates fixed datum axis type |
void NXOpen::Features::DatumAxisBuilder::SetGeometryAndConstraints | ( | NXOpen::DisplayableObject * | geometry1, |
NXOpen::Features::DatumAxisBuilder::ConstraintType | geometryConstraintType1, | ||
int | constraintAttribute1, | ||
double | constraintValue1, | ||
const NXString & | constraint1, | ||
NXOpen::DisplayableObject * | geometry2, | ||
NXOpen::Features::DatumAxisBuilder::ConstraintType | geometryConstraintType2, | ||
int | constraintAttribute2, | ||
double | constraintValue2, | ||
const NXString & | constraint2, | ||
NXOpen::Sense | direction | ||
) |
Sets two different geometric objects.
Possible combinations are:
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
geometry1 | First geometric object |
geometryConstraintType1 | Constraint type of first geometry |
constraintAttribute1 | Constraint attribute value of first geometry VRH alternate_solution_only - only for point on curve |
constraintValue1 | Constraint value parameter of first geometry |
constraint1 | Constraint attached with first geometric object. Set to "0.0" in case value is not specified NOTE: The full Unicode character set is not supported for this parameter. |
geometry2 | Second geometric object |
geometryConstraintType2 | Constraint type of second geometry |
constraintAttribute2 | Constraint attribute value of second geometry |
constraintValue2 | Constraint value parameter of second geometry |
constraint2 | Constraint attached with second geometric object. Set to "0.0" in case value is not specified NOTE: The full Unicode character set is not supported for this parameter. |
direction | Flag to specify datum axis direction |
void NXOpen::Features::DatumAxisBuilder::SetGeometryAndConstraints | ( | NXOpen::DisplayableObject * | geometry1, |
NXOpen::Features::DatumAxisBuilder::ConstraintType | geometryConstraintType1, | ||
int | constraintAttribute1, | ||
double | constraintValue1, | ||
const char * | constraint1, | ||
NXOpen::DisplayableObject * | geometry2, | ||
NXOpen::Features::DatumAxisBuilder::ConstraintType | geometryConstraintType2, | ||
int | constraintAttribute2, | ||
double | constraintValue2, | ||
const char * | constraint2, | ||
NXOpen::Sense | direction | ||
) |
Sets two different geometric objects.
Possible combinations are:
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
geometry1 | First geometric object |
geometryConstraintType1 | Constraint type of first geometry |
constraintAttribute1 | Constraint attribute value of first geometry VRH alternate_solution_only - only for point on curve |
constraintValue1 | Constraint value parameter of first geometry |
constraint1 | Constraint attached with first geometric object. Set to "0.0" in case value is not specified NOTE: The full Unicode character set is not supported for this parameter. |
geometry2 | Second geometric object |
geometryConstraintType2 | Constraint type of second geometry |
constraintAttribute2 | Constraint attribute value of second geometry |
constraintValue2 | Constraint value parameter of second geometry |
constraint2 | Constraint attached with second geometric object. Set to "0.0" in case value is not specified NOTE: The full Unicode character set is not supported for this parameter. |
direction | Flag to specify datum axis direction |
void NXOpen::Features::DatumAxisBuilder::SetPoint | ( | NXOpen::Point * | point | ) |
Sets the point.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesPointAndDir
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
point | point |
void NXOpen::Features::DatumAxisBuilder::SetPoint1 | ( | NXOpen::Point * | point1 | ) |
Sets the first point.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesTwoPoints
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
point1 | point1 |
void NXOpen::Features::DatumAxisBuilder::SetPoint2 | ( | NXOpen::Point * | point2 | ) |
Sets the second point.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesTwoPoints
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
point2 | point2 |
void NXOpen::Features::DatumAxisBuilder::SetPointAndDirection | ( | NXOpen::Point * | point, |
NXOpen::Direction * | direction | ||
) |
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
point | point |
direction | direction |
void NXOpen::Features::DatumAxisBuilder::SetPointOnCurve | ( | double | arcLength, |
const NXString & | constraint, | ||
NXOpen::Features::DatumAxisBuilder::AlternateSolution | alternateSolution, | ||
NXOpen::Features::DatumAxisBuilder::CurveOption | option, | ||
NXOpen::ICurve * | curve | ||
) |
Sets curve or edge and arc length
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::DatumAxisBuilder::SetPointOnCurve | ( | double | arcLength, |
const char * | constraint, | ||
NXOpen::Features::DatumAxisBuilder::AlternateSolution | alternateSolution, | ||
NXOpen::Features::DatumAxisBuilder::CurveOption | option, | ||
NXOpen::ICurve * | curve | ||
) |
Sets curve or edge and arc length
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::DatumAxisBuilder::SetPointOnCurve | ( | double | arcLength, |
const NXString & | constraint, | ||
NXOpen::Features::DatumAxisBuilder::CurveOption | option, | ||
NXOpen::ICurve * | curve, | ||
NXOpen::DisplayableObject * | secondGeometry | ||
) |
void NXOpen::Features::DatumAxisBuilder::SetPointOnCurve | ( | double | arcLength, |
const char * | constraint, | ||
NXOpen::Features::DatumAxisBuilder::CurveOption | option, | ||
NXOpen::ICurve * | curve, | ||
NXOpen::DisplayableObject * | secondGeometry | ||
) |
void NXOpen::Features::DatumAxisBuilder::SetPointOnCurve | ( | double | arcLength, |
const NXString & | constraint, | ||
NXOpen::Features::DatumAxisBuilder::CurveOption | option, | ||
NXOpen::DisplayableObject * | secondGeometry, | ||
NXOpen::ICurve * | curve | ||
) |
void NXOpen::Features::DatumAxisBuilder::SetPointOnCurve | ( | double | arcLength, |
const char * | constraint, | ||
NXOpen::Features::DatumAxisBuilder::CurveOption | option, | ||
NXOpen::DisplayableObject * | secondGeometry, | ||
NXOpen::ICurve * | curve | ||
) |
void NXOpen::Features::DatumAxisBuilder::SetResizedEndDistance | ( | double | resizedEndDistance | ) |
Sets the resized distance for the end point.
If the value is 0.0, then this datum axis is not resized at end point
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
resizedEndDistance | resizedenddistance |
void NXOpen::Features::DatumAxisBuilder::SetReverseDirection | ( | bool | reverseDirection | ) |
Sets
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
reverseDirection | reverse direction |
void NXOpen::Features::DatumAxisBuilder::SetTwoPoints | ( | NXOpen::Point * | point1, |
NXOpen::Point * | point2, | ||
NXOpen::Features::DatumAxisBuilder::UseArcLength | useArcLength | ||
) |
Sets two points
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
point1 | point1 |
point2 | point2 |
useArcLength | Specify points which use arclength instead of percentage of arclength |
void NXOpen::Features::DatumAxisBuilder::SetType | ( | NXOpen::Features::DatumAxisBuilder::Types | type | ) |
Sets the Datum Axis type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
type | type |
void NXOpen::Features::DatumAxisBuilder::SetVector | ( | NXOpen::Direction * | vector | ) |
Sets the vector.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesPointAndDir
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
vector | vector |
NXOpen::Features::DatumAxisBuilder::Types NXOpen::Features::DatumAxisBuilder::Type | ( | ) |
Returns the Datum Axis type
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::DatumAxisBuilder::Vector | ( | ) |
Returns the vector.
This is used only if the Datum Axis type is Features::DatumAxisBuilder::TypesPointAndDir
Created in NX5.0.0.
License requirements : None